Description
Hi,

I'm currently setting up a new foreman infrastructure on our network. | used the instructions on the foreman website to installthe
proxy under Windows. BTW | installed a proxy under Windows XP. This works fine as long as you add the dhcp option for netsh:
NETSH ADD HELPER DHCPMON.DLL

and install the ruby DEVKIT.

First problem is that the timeout in lib/proxy/dhcp/server/native_ms.rb is too low. It is set to 5 seconds and should be set to 10.
Something | was able to fix myself for now.

But then | get this error when trying to import the subnets from the dhcp in foreman:

D, [2013-03-14T15:20:01.414954 #3564] DEBUG -- : Loading subnets for 172.28.20.14
D, [2013-03-14T15:20:01.430579 #3564] DEBUG -- : executing: c:\windows\system32\cmd.exe /c c:\Windows\System32\netsh.exe e
dhep-server172.28-20-14-show-seope

2043-03-14715:20:08:946156-#3564}1-HNFO— : Vendor class not found
E, [2013-03-14T15:20:08.946156 #3564] ERROR -- : Failed to enumerate the scopes on 172.28.20.14Vendor class not found

If using not the latest version of the smart-proxy under windows XP, this works just fine. | used the latest version of the smart-proxy
as this was pointed out in the documentation.

Related issues:
Related to Smart Proxy - Bug #13129: Intermittent failures in native MS test_... Closed 01/12/2016

History

#1 - 03/14/2013 10:38 AM - Oliver Weinmann

Sorry this one should go under smart-proxy. Maybe one of the admins can move it? :)

#2 - 03/14/2013 10:44 AM - Ohad Levy

- Project changed from Foreman to Smart Proxy

#3 - 03/14/2013 10:45 AM - Ohad Levy

hmm.. in your dhcp server (e.g. via mmc) can you see the ability to add vendor options? we never tried it with WinXP only with 2000+ servers.

#4 - 03/14/2013 10:48 AM - Oliver Weinmann

Hi Ohad,

the DHCP is running on windows server 2008 r2 and yes it supports Vendor Options. | just installed the smart-proxy under windows XP as we should
not install any additional software on our Domain Controllers. The smart-proxy controlls the DHCP via the netsh commands. This works fine as long

as | don't use the latest (development) version of smart-proxy.

Regards,
Oliver

#5 - 07/28/2013 06:04 AM - Stefan Held

Hi Oliver,

try adding the english Language pack.

Switch over to english as default display language and this error is gone.

#6 - 05/12/2014 11:25 AM - Johan Sunnerstig

While this is old, | figured I'd update it with a little FYI. | ran into this due to entering the DHCP server in settings.yml without the usual Windows
souble-backslashes.

Changing it to ":dhcp_server: \\dhcp.mynetwork.com" fixed this right away. This can be seen in the original report as well, where the netsh-command
being executed refers to the server by it's IP sans the double backslashes.

Perhaps this could be clarified in the comments in the settings.yml example file?

#7 - 04/20/2015 02:16 PM - Matt Chesler

I ran into what seems like the same issue. In my logs, | saw entries like:

[2015-04-20T11:07:25.140098 #2344] ERROR -- : Failed to enumerate the scopes on 192.168.199.5Vendor class not found

| tried make the change suggested above, which just changed the error entries to:

[2015-04-20T11:35:25.454356 #2904] ERROR -- : Failed to enumerate the scopes on \\192.168.199.5Vendor class not found

After digging through the code an adding some gratuitous print statements, | discovered Proxy::SETTINGS.x86_64 being used in
Proxy::DHCP::NativeMS#execute to choose between 'c:\windows\sysnative\cmd.exe' and 'c:\windows\system32\cmd.exe'. | haven't figured out why

yet, but it somehow Proxy::SETTINGS.x86_64 was being set to true despite 'c:\windows\sysnative' not existing. When | add ':x86_64: false' to
settings.yml and restart the smart proxy, it suddenly uses the correct interpreter path and functions as desired.

#8 - 02/29/2016 10:09 AM - Anonymous

- Related to Bug #13129: Intermittent failures in native MS test_records_should_have_options tests added

#9 - 02/29/2016 10:21 AM - Anonymous
- Description updated

- Status changed from New to Duplicate

This was resolved, see http://projects.theforeman.org/issues/13129 for details.

05/11/2024 22


https://projects.theforeman.org/issues/2344
https://projects.theforeman.org/issues/2904
http://projects.theforeman.org/issues/13129
http://www.tcpdf.org

